Subject: Re: bug#55654: 28.1.50; HEAP Error with ImageMagick on Windows MSYS2
From: Eli Zaretskii <[email-masked]>
To: Fabio Leimgruber <[email-masked]>
Cc: [email-masked]
Date: Sun, 29 May 2022 12:55:09 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> From: Fabio Leimgruber <[email-masked]>
> Cc: Fabio Leimgruber <[email-masked]>,  [email-masked]
> Date: Sun, 29 May 2022 11:12:20 +0200
> 
> I just recompiled after upgrading MSYS2 ImageMagick to 7.1.0.35 and the error is gone.

So this sounds like it's a bug in ImageMagick?  Any chance to verify
this with ImageMagick developers or the MSYS2 folks?

> Your comment about malloc and free on MS-Windows got me thinking on how ImageMagick has been working on this machine with Emacs 27.2.50 in the first place.  I was then searching for supported ImageMagick versions, but it seems that starting with Emacs 27 ImageMagick is disabled by default.  Maybe a note on ImageMagick compat for Emacs 28 on MS-Windows MSYS2 could be added to the docs, as long as the option --with-imagemagick is still available?

What kind of note would you suggest adding, and how is it relevant to
MS-Windows and MSYS2?

> In any case, please consider this solved from my side.

OK, so I'm closing the bug.  (We can continue discussing the issue
even after the bug is closed.)

Thanks.